<?php

namespace Limb_Chatbot\Includes\Services\Knowledge\Source_Object_Fetchers;

use Limb_Chatbot\Includes\Data_Objects\Dataset;
use Limb_Chatbot\Includes\Interfaces\Source_Fetcher_Interface;

class Text_Source_Fetcher implements Source_Fetcher_Interface {

	public function fetch( array $item, array $config ): array {
		return array(
			array(
				'source'          => null,
				'source_type'     => Dataset::SOURCE_TEXT,
				'source_sub_type' => null,
			)
		);
	}
}